> ## Documentation Index
> Fetch the complete documentation index at: https://promptwatch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Response Summary

> Get response summary including total responses and brand mentions



## OpenAPI

````yaml /v1/openapi.json get /responses/summary
openapi: 3.0.0
info:
  title: Promptwatch API
  description: API for customer integrations with Promptwatch monitoring platform
  version: 1.0.1
  contact:
    name: Promptwatch Support
    email: team@promptwatch.com
    url: https://promptwatch.com
  license:
    name: Commercial
    url: https://promptwatch.com/terms-and-conditions
servers:
  - url: https://server.promptwatch.com/api/v1
    description: Promptwatch API
security: []
tags:
  - name: Authentication
    description: API key validation and authentication
  - name: Models
    description: Available LLM models
  - name: Monitors
    description: Monitor management and data
  - name: Visibility
    description: Visibility data and insights
  - name: Citations
    description: Citation analytics and source tracking
  - name: Prompts
    description: Prompt management and operations
  - name: Analytics
    description: Analytics data and insights
  - name: Share of Voice
    description: Share of voice analytics showing brand mentions vs total responses
  - name: Responses
    description: Response analytics including mentions, competitors, and sentiment
paths:
  /responses/summary:
    get:
      tags:
        - Responses
      summary: Response Summary
      description: Get response summary including total responses and brand mentions
      operationId: getResponsesSummaryV1
      parameters:
        - schema:
            type: string
            format: date
          in: query
          name: startDate
          required: false
          description: Start date for data (YYYY-MM-DD)
        - schema:
            type: string
            format: date
          in: query
          name: endDate
          required: false
          description: End date for data (YYYY-MM-DD)
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalResponses:
                    type: number
                    description: Total number of LLM responses
                  totalBrandMentions:
                    type: number
                    description: Total responses mentioning your brand
                  brandMentionRate:
                    type: number
                    description: Percentage of responses mentioning your brand
                required:
                  - totalResponses
                  - totalBrandMentions
                  - brandMentionRate
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error type
                  message:
                    type: string
                    description: Error message
                  details:
                    type: object
                    description: Additional error details
                    additionalProperties: true
                required:
                  - error
                  - message
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error type
                  message:
                    type: string
                    description: Error message
                  details:
                    type: object
                    description: Additional error details
                    additionalProperties: true
                required:
                  - error
                  - message
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Get yours from the Promptwatch dashboard
        under Settings > API Keys.

````